/* DO NOT EDIT - AUTOMATICALLY GENERATED */

#include <emodules.h>

#ifdef __cplusplus
extern "C" {
#endif
extern const long emodule_compiler;
extern const char *emodule_name, *emodule_version, *emodule_title;
extern void docs_of_eldap (void);
#ifdef __cplusplus
}
#endif

const long emodule_compiler = 1010;
const char *emodule_name = "eldap";
const char *emodule_version = "1.0.0";
const char *emodule_title = "LDAP Client Interface for XEmacs";

void docs_of_eldap ()
{
  CDOCSUBR("ldapp", "\
Return t if OBJECT is a LDAP connection.\n\
\n\
arguments: (OBJECT)\n");

  CDOCSUBR("ldap-host", "\
Return the server host of the connection LDAP, as a string.\n\
\n\
arguments: (LDAP)\n");

  CDOCSUBR("ldap-live-p", "\
Return t if LDAP is an active LDAP connection.\n\
\n\
arguments: (LDAP)\n");

  CDOCSUBR("ldap-open", "\
Open a LDAP connection to HOST.\n\
PLIST is a plist containing additional parameters for the connection.\n\
Valid keys in that list are:\n\
  `port' the TCP port to use for the connection if different from\n\
`ldap-default-port'.\n\
  `auth' is the authentication method to use, possible values depend on\n\
the LDAP library XEmacs was compiled with: `simple', `krbv41' and `krbv42'.\n\
  `binddn' is the distinguished name of the user to bind as (in RFC 1779 syntax).\n\
  `passwd' is the password to use for simple authentication.\n\
  `deref' is one of the symbols `never', `always', `search' or `find'.\n\
  `timelimit' is the timeout limit for the connection in seconds.\n\
  `sizelimit' is the maximum number of matches to return.\n\
\n\
arguments: (HOST &optional PLIST)\n");

  CDOCSUBR("ldap-close", "\
Close an LDAP connection.\n\
\n\
arguments: (LDAP)\n");

  CDOCSUBR("ldap-search-basic", "\
Perform a search on an open LDAP connection.\n\
LDAP is an LDAP connection object created with `ldap-open'.\n\
FILTER is a filter string for the search as described in RFC 1558.\n\
BASE is the distinguished name at which to start the search.\n\
SCOPE is one of the symbols `base', `onelevel' or `subtree' indicating\n\
the scope of the search.\n\
ATTRS is a list of strings indicating which attributes to retrieve\n\
 for each matching entry. If nil return all available attributes.\n\
If ATTRSONLY is non-nil then only the attributes are retrieved, not\n\
the associated values.\n\
If WITHDN is non-nil each entry in the result will be prepended with\n\
its distinguished name DN.\n\
If VERBOSE is non-nil progress messages will be echoed.\n\
The function returns a list of matching entries.  Each entry is itself\n\
an alist of attribute/value pairs optionally preceded by the DN of the\n\
entry according to the value of WITHDN.\n\
\n\
arguments: (LDAP FILTER &optional BASE SCOPE ATTRS ATTRSONLY WITHDN VERBOSE)\n");

  CDOCSUBR("ldap-add", "\
Add an entry to an LDAP directory.\n\
LDAP is an LDAP connection object created with `ldap-open'.\n\
DN is the distinguished name of the entry to add.\n\
ENTRY is an entry specification, i.e., a list of cons cells\n\
containing attribute/value string pairs.\n\
\n\
arguments: (LDAP DN ENTRY)\n");

  CDOCSUBR("ldap-modify", "\
Add an entry to an LDAP directory.\n\
LDAP is an LDAP connection object created with `ldap-open'.\n\
DN is the distinguished name of the entry to modify.\n\
MODS is a list of modifications to apply.\n\
A modification is a list of the form (MOD-OP ATTR VALUE1 VALUE2 ...)\n\
MOD-OP and ATTR are mandatory, VALUEs are optional depending on MOD-OP.\n\
MOD-OP is the type of modification, one of the symbols `add', `delete'\n\
or `replace'. ATTR is the LDAP attribute type to modify.\n\
\n\
arguments: (LDAP DN MODS)\n");

  CDOCSUBR("ldap-delete", "\
Delete an entry to an LDAP directory.\n\
LDAP is an LDAP connection object created with `ldap-open'.\n\
DN is the distinguished name of the entry to delete.\n\
\n\
arguments: (LDAP DN)\n");

  CDOCSYM("ldap-default-port", "\
Default TCP port for LDAP connections.\n\
Initialized from the LDAP library. Default value is 389.\n");

  CDOCSYM("ldap-default-base", "\
Default base for LDAP searches.\n\
This is a string using the syntax of RFC 1779.\n\
For instance, \"o=ACME, c=US\" limits the search to the\n\
Acme organization in the United States.\n");


}

